Package com.independentsoft.graph.files

# Class SharingInvitationMessage

java.lang.Object
com.independentsoft.graph.files.SharingInvitationMessage

All Implemented Interfaces:
  `ICreatable`

public class SharingInvitationMessage extends Object implements ICreatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharingInvitationMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getExpirationTime()`
  `String`
  `getMessage()`
  `String`
  `getPassword()`
  `List<DriveRecipient>`
  `getRecipients()`
  `List<SharingInvitationRole>`
  `getRoles()`
  `boolean`
  `isRequireSignIn()`
  `boolean`
  `isSendInvitation()`
  `void`
  `setContentCategory​(String message)`
  `void`
  `setExpirationTime​(Date expirationTime)`
  `void`
  `setPassword​(String password)`
  `void`
  `setRequireSignIn​(boolean requireSignIn)`
  `void`
  `setSendInvitation​(boolean sendInvitation)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SharingInvitationMessage

    public SharingInvitationMessage()

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### getRecipients

    public List<DriveRecipient> getRecipients()

  - ### getMessage

    public String getMessage()

  - ### setContentCategory

    public void setContentCategory​(String message)

  - ### isRequireSignIn

    public boolean isRequireSignIn()

  - ### setRequireSignIn

    public void setRequireSignIn​(boolean requireSignIn)

  - ### isSendInvitation

    public boolean isSendInvitation()

  - ### setSendInvitation

    public void setSendInvitation​(boolean sendInvitation)

  - ### getRoles

    public List<SharingInvitationRole> getRoles()

  - ### getExpirationTime

    public Date getExpirationTime()

  - ### setExpirationTime

    public void setExpirationTime​(Date expirationTime)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword​(String password)